<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-8">
      <div class="text-center">
        <h2>Uitgave details</h2>
      </div>

      <div *ngIf="!loginCheck()">Log in</div>

      <ng-template #no_content> - </ng-template>

      <div *ngIf="expense && loginCheck()">
        <table class="table table-bordered">
          <tr>
            <th>Hoeveelheid:</th>
            <td>
              {{ expense.amount }}
            </td>
          </tr>

          <tr>
            <th>Door:</th>
            <td>
              <div *ngIf="expense.userRef; else no_content">
                {{ expense.userRef.username }}
              </div>
            </td>
          </tr>

          <tr>
            <th>Datum:</th>
            <td>
              <div *ngIf="expense.date; else no_content">
                {{ expense.date | date: "dd/MM/yyyy" }}
              </div>
            </td>
          </tr>

          <tr>
            <th>Winkel:</th>
            <td>
              <div *ngIf="expense.storeRef; else no_content">
                <a routerLink="/store/{{ expense.storeRef._id }}">
                  {{ expense.storeRef.name }} :
                  {{ expense.storeRef.address[0].city }}
                  <span *ngIf="expense.storeRef.address[0].street">
                    {{ expense.storeRef.address[0].street }}
                  </span>
                  <span *ngIf="expense.storeRef.address[0].houseNumber">
                    {{ expense.storeRef.address[0].houseNumber }}
                  </span></a
                >
              </div>
            </td>
          </tr>
        </table>

        <button class="btn btn-medium btn-main" title="back" (click)="goBack()">
          Terug
        </button>

        <button
          *ngIf="correctUser === true"
          class="btn btn-medium btn-main"
          title="delete expense"
          (click)="delete(expense)"
        >
          Verwijderen
        </button>
      </div>
    </div>
  </div>
</div>
